/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.cvut.research.model;

import java.util.Arrays;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author blcha
 */

@XmlAccessorType(XmlAccessType.FIELD)
//@XmlRootElement(namespace="http://publication")
public class Publication {
    String name;
    Double rating;
    @XmlElement(name = "author")
    List<String> authors;
    

    public Publication() {
    }

    public Publication(String name, String[] authors, double rating) {
        this.name = name;
        this.authors = Arrays.asList(authors);
        this.rating = rating;
    }

    public List<String> getAuthors() {
        return authors;
    }

    public void setAuthors(List<String> authors) {
        this.authors = authors;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getRating() {
        return rating;
    }

    public void setRating(Double rating) {
        this.rating = rating;
    }    
}
