/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.research.ws;

import cz.cvut.research.model.Employee;
import cz.cvut.research.model.Publication;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.xml.soap.SOAPFault;
import javax.xml.ws.soap.SOAPFaultException;

/**
 *
 * @author blcha
 */
@WebService()
public class ResearchInfo {

    Map<Integer, String> empMap = new HashMap();

    public ResearchInfo() {
        empMap.put(2, "kremenp2");
        empMap.put(4, "koubaz3");
        empMap.put(5, "valekf1");
        empMap.put(6, "smidm1");
    }

    /**
     * Web service operation
     */
    @WebMethod(operationName = "getPublications")
    public List<Publication> getPublications() {

        List<Publication> publications = new LinkedList<Publication>();

        String[] a1 = {"kremenp2", "koubaz3", "valekf1"};
        Publication p1 = new Publication("JSF best practice", a1, 4);
        String[] a2 = {"koubaz3", "kremenp2"};
        Publication p2 = new Publication("Web services rules !", a2, 7);
        String[] a3 = {"koubaz3", "valekf1"};
        Publication p3 = new Publication("Java EE design patterns revised", a3, 8);
        String[] a4 = {"smidm1", "koubaz3", "kremenp2"};
        Publication p4 = new Publication("Continuous integration tools", a4, 6);
        String[] a5 = {"kremenp2", "smidm1"};
        Publication p5 = new Publication("JUnit extensions for Java EE", a5, 4);

        publications.add(p1);
        publications.add(p2);
        publications.add(p3);
        publications.add(p4);
        publications.add(p5);
        return publications;
    }

    /**
     * Web service operation
     */
    @WebMethod(operationName = "getEmployeeId")
    public String getEmployeeId(@WebParam(name = "birthNumber") int birthNumber) {


        if (empMap.get(birthNumber) != null) {
            return empMap.get(birthNumber);
        } else {
            return null;
            //return null;
        }
    }

    /**
     * Web service operation
     */
    @WebMethod(operationName = "getEmployees")
    public List<Employee> getEmployees() {
        List<Employee> emps = new LinkedList<Employee>();
        emps.add(new Employee(empMap.get(2), "Petr", "Kremen", 2));
        emps.add(new Employee(empMap.get(4), "Zdenek", "Kouba", 4));
        emps.add(new Employee(empMap.get(5), "Frantisek", "Valek", 5));
        emps.add(new Employee(empMap.get(6), "Marek", "Smid", 6));
        return emps;
    }
}
